import { Tag, Task, TaskStatus, UpdateTaskParams, Priority, Workspace, Space } from '../types/clickup.js';
export declare const PRIORITY_MAP: {
    [key: number]: Priority;
};
interface List {
    id: string;
    name: string;
    orderindex: number;
    content: string;
    status: {
        status: string;
        color: string;
        hide_label: boolean;
    };
    priority: {
        priority: string;
        color: string;
    };
    task_count: number;
    due_date: string;
    start_date: string;
    folder: {
        id: string;
        name: string;
        hidden: boolean;
        access: boolean;
    };
    space: {
        id: string;
        name: string;
        access: boolean;
    };
    archived: boolean;
    override_statuses: boolean;
    permission_level: string;
}
export declare function createTask(listId: string, name: string, description: string, priority: number, status: string, dueDate?: string): Promise<Task>;
export declare function createSubtask(parentId: string, name: string, description?: string, priority?: number, status?: string): Promise<Task>;
export declare function listTasks(listId?: string): Promise<Task[]>;
export declare function getTask(taskId: string): Promise<Task>;
export declare function updateTask(taskId: string, updates: UpdateTaskParams): Promise<Task>;
export declare function deleteTask(taskId: string): Promise<void>;
export declare function getListStatuses(listId: string): Promise<TaskStatus[]>;
export declare function getWorkspaces(): Promise<Workspace[]>;
export declare function getSpaces(workspaceId: string): Promise<Space[]>;
export declare function getLists(spaceId: string): Promise<List[]>;
export declare function listSubtasks(taskId: string): Promise<Task[]>;
export declare function createStatus(listId: string, status: string, color: string, orderindex?: number): Promise<TaskStatus>;
export declare function updateStatus(listId: string, oldStatus: string, newStatus: string, color?: string, orderindex?: number): Promise<TaskStatus>;
export declare function deleteStatus(listId: string, status: string): Promise<void>;
export declare function getSpaceTags(spaceId: string): Promise<Tag[]>;
export declare function createTag(spaceId: string, name: string, tagBg?: string, tagFg?: string): Promise<Tag>;
export declare function deleteTag(spaceId: string, name: string): Promise<void>;
export declare function updateTaskTags(taskId: string, tags: string[]): Promise<Task>;
export {};
